#include "CUDAMedianImageFilterPluginFactory.h"
#include "CUDAMedianImageFilterPlugin.h"

#include <QtPlugin>

CUDAMedianImageFilterPluginFactory::CUDAMedianImageFilterPluginFactory()
{
}

CUDAMedianImageFilterPluginFactory::~CUDAMedianImageFilterPluginFactory()
{
}

ritk::FilterPlugin*
CUDAMedianImageFilterPluginFactory::CreateInstance()
{
	return new CUDAMedianImageFilterPlugin();
}

QString
CUDAMedianImageFilterPluginFactory::GetName()
{
	return tr("CUDAMedianFilter");
}

QString
CUDAMedianImageFilterPluginFactory::GetDescription()
{
	return tr("Median filter using CUDA");
}


Q_EXPORT_PLUGIN2(CUDAMedianFilter, CUDAMedianImageFilterPluginFactory)

